gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated (5c84b66 -> 891740


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated (5c84b66 -> 8917409)
Date: Mon, 25 Mar 2019 14:45:05 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a change to branch master
in repository deployment.

    from 5c84b66  test commit
     new 308225a  onboarding
     new 8917409  More automation for demo/test deployment.

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 bootstrap-bluegreen |  7 ++++---
 demo.sh             | 14 ++++++++++++++
 doc/onboarding.texi |  2 +-
 test.sh             | 14 ++++++++++++++
 4 files changed, 33 insertions(+), 4 deletions(-)
 create mode 100755 demo.sh
 create mode 100755 test.sh

diff --git a/bootstrap-bluegreen b/bootstrap-bluegreen
index 6026aa5..a11c45f 100755
--- a/bootstrap-bluegreen
+++ b/bootstrap-bluegreen
@@ -12,9 +12,9 @@
 # demo-blue$ ~/deployment/bootstrap-bluegreen demo
 # demo-green$ ~/deployment/bootstrap-bluegreen demo
 
-# There MUST be a user with the same name
-# as the deployment basename to share data
-# between the blue/green deployment.
+# NOTE: ENVNAME is also the name of the user who keeps
+# shared data in its home directory, so it must exist!
+# For demo/test ENVNAMEs, see {demo,test}.sh
 
 set -eu
 
@@ -104,3 +104,4 @@ export 
TALER_ENV_URL_BACKOFFICE="https://backoffice.$ENVNAME.taler.net/";
 EOL
 
 ln -sf "/home/$ENVNAME/shared-data" "$HOME"
+mkdir -p "$HOME/sockets"
diff --git a/demo.sh b/demo.sh
new file mode 100755
index 0000000..3ce92e3
--- /dev/null
+++ b/demo.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Every "blue/green" setup relies on a common user that keeps
+# all the shared data (keys, for example).  In our setup, test-*
+# and demo-* rely on the users 'test' and 'demo'.  This script
+# automates the configuration of the 'demo' user.
+
+if ! test "demo" = $(whoami); then
+  echo This script can only be run by the 'demo' user, exiting..
+  exit 1
+fi
+
+echo Creating the 'shared-data' directory.
+mkdir $HOME/shared-data
diff --git a/doc/onboarding.texi b/doc/onboarding.texi
index 1ab8dab..880e606 100644
--- a/doc/onboarding.texi
+++ b/doc/onboarding.texi
@@ -291,7 +291,7 @@ TBD
 This worker is also responsible to run the script which tops
 the tip reserve up; however, this task is triggered by a "periodic scheduler"
 once every 10 days.  A "force build" button is also offered to run
-this task.
+this task.  The service is offered by the @emph{reserve-topper} user.
 
 @subsection Manual switch
 
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..9f10f6f
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Every "blue/green" setup relies on a common user that keeps
+# all the shared data (keys, for example).  In our setup, test-*
+# and demo-* rely on the users 'test' and 'demo'.  This script
+# automates the configuration of the 'demo' user.
+
+if ! test "test" = $(whoami); then
+  echo This script can only be run by the 'demo' user, exiting..
+  exit 1
+fi
+
+echo Creating the 'shared-data' directory.
+mkdir $HOME/shared-data

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]